import pygame,sys

#pygameの初期化
pygame.init()

#変数定義
i=0 #コスチューム切替用
レフトフラグ = False #Trueの時に左に向く、Falseの時は右を向く

#スクリーンの作成
screen = pygame.display.set_mode((800, 650))

#画像アップロード
 #右向きのネコ
ネコ1_右 = pygame.image.load("image\コスチューム1.png")
ネコ2_右 = pygame.image.load("image\コスチューム2.png")

 #左向きのネコ
ネコ1_左 = pygame.transform.flip(ネコ1_右, True, False)
ネコ2_左 = pygame.transform.flip(ネコ2_右, True, False)

 #背景画像
背景 = pygame.image.load("image\背景.png")

 #右向きと左向きのネコ画像リスト
ネコリスト右=[ネコ1_右,ネコ2_右]
ネコリスト左=[ネコ1_左,ネコ2_左]

#ネコの初期位置
ネコ座標 = pygame.Rect(45, 410, 0, 0)

#プレイヤが移動する処理
def プレイヤ移動処理():
    global i,レフトフラグ
           
    #ネコの移動量を定義
    cx = 0
    cy = 0
    #ユーザからの入力を調べる
    key = pygame.key.get_pressed()
    
    #右向き矢印キーが押されたときの処理
    if key[pygame.K_RIGHT]:
        cx = 15
        i=i+1
        レフトフラグ=False
        
    #左向き矢印キーが押されたときの処理
    if key[pygame.K_LEFT]:
        cx = -15
        i=i+1
        レフトフラグ=True
        
    #上向き矢印キーが押されたときの処理
    if key[pygame.K_UP]  :
        cy = -40
    elif ネコ座標.y<410:#重力を発生させている。elifを用いているので上向き矢印キーが押されていないときだけ重力が発生する
        ネコ座標.y = ネコ座標.y +40
    
    if ネコ座標.x >810:#プレイヤが画面の右端まで来たら左端からあらわれる
        ネコ座標.x=-110
    elif ネコ座標.x < -110:#プレイヤが画面の左端まで来たら右端からあらわれる
        ネコ座標.x=800

    # プレイヤの処理（ネコの座標を変更）
    ネコ座標.x = ネコ座標.x + cx
    ネコ座標.y = ネコ座標.y + cy

    #背景の転送
    screen.blit(背景,(0,0))

    #レフトフラグがFalseのときは右向きのネコを転送、Trueのときは左向きのネコを転送
    if レフトフラグ==False:
        screen.blit(ネコリスト右[i%2],ネコ座標)
    else:
        screen.blit(ネコリスト左[i%2],ネコ座標)


while True:
    プレイヤ移動処理() #関数の呼び出し
    pygame.display.update() #ディスプレイの更新
    pygame.time.Clock().tick(30)
    
    for event in pygame.event.get(): #閉じるボタンを押した時の処理
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
